Subject: Re: bug#35640: Make USB modems just work on Guix

From: "pelzflorian (Florian Pelz)" <[email-masked]>
Date: Mon, 13 May 2019 23:04:43 +0200

On Mon, May 13, 2019 at 10:57:20PM +0200, pelzflorian (Florian Pelz) wrote:
> Also attached is my current work-in-progress package for
> USB_ModeSwitch.  It does *not* work because I cannot figure out how to
> use tcl in the package’s inputs field.
> 
> #:use-module gives me errors; only (@ (gnu packages tcl) tcl) appears
> to work.
> 

I uploaded

+    (inputs `(("libusb" ,libusb)
+              ("tcl" ,(error tcl:tcl))))

This was a mistake, I mean

+    (inputs `(("libusb" ,libusb)
+              ("tcl" tcl:tcl)))

It still gives me errors when used:

florian@florianmacbook ~/git/guix [env]$ ./pre-inst-env guix install usb-modeswitch:dispatcher usb-modeswitch 
Backtrace:
          18 (apply-smob/1 #<catch-closure 7aa0a0>)
In ice-9/boot-9.scm:
    705:2 17 (call-with-prompt _ _ #<procedure default-prompt-handler (k proc)>)
In ice-9/eval.scm:
    619:8 16 (_ #(#(#<directory (guile-user) 893140>)))
In guix/ui.scm:
  1747:12 15 (run-guix-command _ . _)
In ice-9/boot-9.scm:
    829:9 14 (catch _ _ #<procedure 7fd151e1a910 at guix/ui.scm:703:2 (key c)> _)
    829:9 13 (catch _ _ #<procedure 7fd151e1a928 at guix/ui.scm:826:6 (key proc format-string format-args . rest)> _)
In guix/scripts/package.scm:
   915:10 12 (_)
In guix/status.scm:
    768:4 11 (call-with-status-report _ _)
In guix/scripts/package.scm:
   923:14 10 (_)
    882:6  9 (process-actions #<store-connection 256.99 cfeea0> _)
In guix/ui.scm:
   1096:4  8 (show-manifest-transaction #<store-connection 256.99 cfeea0> _ _ #:dry-run? _)
In srfi/srfi-1.scm:
   628:19  7 (mapn ("usb-modeswitch" "usb-modeswitch") (("2.5.2" "2.5.2") ("dispatcher" "out") (#<package [email-masked] gnu/packages/libusb.scm:642 174c8f0> #<package [email-masked] gnu/packages/libusb.scm:642 174c8f0>)) 2)
In guix/ui.scm:
  1101:23  6 (_ "usb-modeswitch" "2.5.2" "dispatcher" #<package [email-masked] gnu/packages/libusb.scm:642 174c8f0>)
In guix/packages.scm:
  1296:13  5 (package-output #<store-connection 256.99 cfeea0> #<package [email-masked] gnu/packages/libusb.scm:642 174c8f0> _ _)
   936:16  4 (cache! #<weak-table 178/223> #<package [email-masked] gnu/packages/libusb.scm:642 174c8f0> ("x86_64-linux" . #t) _)
  1254:22  3 (thunk)
   936:16  2 (cache! #<weak-table 178/223> #<package [email-masked] gnu/packages/libusb.scm:642 174c8f0> ("x86_64-linux" #f #t) _)
  1042:46  1 (thunk)
In gnu/packages/libusb.scm:
   655:12  0 (inputs _)

gnu/packages/libusb.scm:655:12: In procedure inputs:
error: tcl:tcl: unbound variable

Regards,
Florian